use crate::prelude::*;

use std::os::raw::c_void;
use std::ptr;

#[repr(C)]
#[derive(Debug)]
pub struct VkBindImageMemoryInfo {
    pub sType: VkStructureType,
    pub pNext: *const c_void,
    pub image: VkImage,
    pub memory: VkDeviceMemory,
    pub memoryOffset: VkDeviceSize,
}

impl VkBindImageMemoryInfo {
    pub fn new(image: VkImage, memory: VkDeviceMemory, memory_offset: VkDeviceSize) -> Self {
        VkBindImageMemoryInfo {
            sType: VK_STRUCTURE_TYPE_BIND_IMAGE_MEMORY_INFO,
            pNext: ptr::null(),
            image,
            memory,
            memoryOffset: memory_offset,
        }
    }
}
